Subject: bug#73718: 31.0.50; Severe performance issue with Tramp and project-mode-line-format

From: Dmitry Gutov <[email-masked]>
Date: Wed, 9 Oct 2024 16:38:04 +0300

Hi!

On 09/10/2024 13:43, Ergus via Bug reports for GNU Emacs, the Swiss army 
knife of text editors wrote:
> I made a profile and it looks like there is some bad interaction between
> project-mode-line and tramp names
> 
> I already tried:
> 
> (connection-local-set-profile-variables 'my-profile '((project-mode-line . nil)))
> (connection-local-set-profiles '(:application tramp :user "myuser") 'my-profile)
> 
> But is not disabling the modeline for remote files.

I wonder if we'll need to disable project-mode-line in remote files 
altogether, or if this is a problem that could be solved in Tramp (with 
extra caching?)

To use connect-local value to disable, BTW, it would need to have extra 
code called from the mode line format (in bindings.el). And it's a part 
that was added only recently, for in Emacs 30.